#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-config
Version		:	1.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Config tools for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/lxqt-config/release


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	libkscreen
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXi
BuildRequires	:	xf86-input-libinput
#-----------------------------------------------------------------------------
%description
'%{name}' is providing several tools involved in the configuration
of both LXQt and the underlying operating system.

On the one hand it is featuring several GUI tools to configure topics
like general appearance, pointer devices or screen resolutions.   
On the other hand there's a GUI "Configuration Center" which summarizes
all those configuration tools as well as counterparts of other LXQt
components or third-party applications.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_sysconfdir}/xdg/menus/%{name}.menu
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_libdir}/%{name}/lib%{name}-cursor.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/desktop-directories/lxqt-settings-*.directory
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/lxqt/icons/*.svg
%{_datadir}/lxqt/translations/%{name}*/%{name}*_*.qm
%{_mandir}/man1/%{name}*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e "/#include <QTimer>/a#include <QStyle>\n#include <QIcon>"	\
  lxqt-config-monitor/timeoutdialog.h

#problem with qt-5.14
sed -i								\
 -e "/#include <QX11Info>/a #include <QUrl>"			\
 lxqt-config-input/touchpaddevice.cpp

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
